slepc-3.10.1 2018-10-23
Report Typos and Errors

# MFNMonitorSetFromOptions

Sets a monitor function and viewer appropriate for the type indicated by the user.

### Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNMonitorSetFromOptions(MFN mfn,const char name[],const char help[],const char manual[],PetscErrorCode (*monitor)(MFN,PetscInt,PetscReal,PetscViewerAndFormat*))

Collective on MFN

### Input Parameters

| mfn | - the eigensolver context
| name | - the monitor option name
| help | - message indicating what monitoring is done
| manual | - manual page for the monitor
| monitor | - the monitor function, whose context is a PetscViewerAndFormat

### See Also

MFNMonitorSet()

Location: src/mfn/interface/mfnopts.c
Index of all MFN routines
Table of Contents for all manual pages
Index of all manual pages